 /*-----------------------------VARIABLES---*/
 $turquoise: #2fb29c;
 $lila: #708bc5;
 $myblue:#1d3e7a;
 $maintext:#383838;
 $secondarytext:#afafaf;
 $fakewhite: #F2FAF4;
 $fakelila: #F1F4F9;
 $tabslila:#d3cfe8;
 $gray: #AFAFAF;
 $input: #f2faf4;
 /*--------------------------------IMPORTS MIXIN  */
 @import "src/_mixins.scss";
/*--------------------------------------*/

.bottom-height, .skeleton {
  height: 100%;
}
.bodyContent {
  min-height: 525px;
  height: auto;
}

 .header {
   margin-top: 2rem;
 }

 .lg-space {
   margin-top: 2rem;
 }
 .md-space {
  margin-top: 1rem;
}
.sm-space {
  margin-top: 0.5rem;
}

.mg-bottom {
  margin-bottom: 4rem;
}
.mg-bottom-sm {
  margin-bottom: 2rem;
}
 

.centered-obj {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

a {
  text-decoration: none;
}
  .link {
    color: $turquoise;
    font-size: 0.8rem;
    text-decoration: underline;
    line-height: 0.5rem;
    font-weight: 700;
  }

hr {
  border-top: 1px solid $fakewhite;
}

  /*----------------title + icon*/
  .title {
    .container-flex {
      display: flex;
      flex-wrap: nowrap;
      align-items: center!important;
      .flex-grow-item {
        flex-grow: 4;
        align-self: center;
        padding-top: 0px;
        padding-left: 5px;
      }
      .icon {
        max-width: 35px;
      }
    }
  }
/*----------add product last item "autre"*/
.add-product {
  margin-top: 0rem!important;
  .container-flex {

    .item:last-child{
      background-color: $fakewhite;
      height: 150px;
      color: $turquoise;

      .label {
        display: none;
      }
    }
  }
}

/*----------------------info card border*/
.info-card {
  border: 1px solid #708bc5;
  border-radius: 5px;
  padding: 0px 20px 20px 20px;

  h2 {
    margin-top: -10px;
  }
}

/*---------------order card*/

.order-card{
  .container-flex{
    .item {
      margin-bottom: 0rem!important;
      margin-top: 0rem!important;
    }
  }

  .product-name {
    padding-top: 20px;
  }

  .color-chip {
    margin-left: 30px;
  }
  
  
  hr {
    margin: 0;
  }
}


/*           ----------research filters*/
.market {
  height: 135px;
}

.empty-item {
  background-color: $fakewhite!important;
  .label {
    margin-top: 23px!important;
    color: $turquoise;
  }
}


/*--------------stock card*/

.stock-card{
  background-color: #F1F4F9;
  padding: 10px;
  border-radius: 5px;


  .stock {
    padding-top: 10px;
  }

  .quantity {
    margin-top: -20px!important;
    padding-bottom: 5px;
  }
}

 /*.-------------------------------farm card*/
 .farm-card {
  margin-left: 8%;
 .scroll-item {
   width: 200px;
   padding-left: 0px!important;
 }
   .stock-status, .product-name, .type-price {
     width: 200px;
     padding-top: 5px;
     padding-left: 5px;
   }

   .link {
     margin-bottom: 7px;
     margin-top: 2px;
   }

   .product-name {
      @include crop-text;
   }

   .border {
     border: 1px solid #2fb29c;
     border-radius: 5px;
     padding-bottom: 5px;
   
   }
}

/*-------------------carte informative texte*/

.color-bg {
  background-color: #f3f2fa;
  border-radius: 5px;
  padding: 1px 15px;
}

/*----------- loading skeleton*/


/* Custom Skeleton Line Height and Margin */
.custom-skeleton ion-skeleton-text {
  line-height: 13px;
}

.custom-skeleton ion-skeleton-text:last-child {
  margin-bottom: 5px;
}

.skeleton-item {
  height: 120px;
  width: 100%;
}

/*---------------------------photo scroll*/
.photo-section {
  height: 175px;
}

.hideAlt {
  text-indent: -9999px;
}